Get Account Settings
get
https://api.flxpoint.com/account/settingsUse this when you want to pull account data through the API.
🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
This endpoint allows you to retrieve settings that are actively configured for a given account.
Request
Query parameters
findByHandlesquerystringA setting handle, or a comma-separated list of setting handles to retrieve
findByCategoryHandlequerystringA single category handle to retrieve settings for
Example request
get
/account/settingscurl -X GET "https://api.flxpoint.com/account/settings" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN"Responses
200OKapplication/json
array[DeprecatedSetting]
settingIdintegernamestringhandlestringrequiredallowed
source.send_po_from_vendor_portalsource.cancel_unacknowledged_itemssource.upload_inventory_from_vendor_portalsource.upload_shipment_from_vendor_portalsource.upload_invoice_from_vendor_portalskip_getting_started_source_wizardaccount.settings.rate_shoppingfeature_flag.channel_wizardfeature_flag.order_volume_protectionfeature_flag.accounting_wizardsupplier.override_billing_addresschannel_wizard.skip_getting_startedchannel_wizard.skip_listing_managementfeature_flag.return_managementfeature_flag.sync_orders_use_flxpoint_apifeature_flag.sync_listings_use_flxpoint_apifeature_flag.publish_listings_use_flxpoint_apifeature_flag.get_inventory_use_flxpoint_apifeature_flag.get_source_products_use_flxpoint_apinotification.default_emailnotification.purchase_order_failurenotification.purchase_order_failure.override_emailchannel_wizard.skip_order_fulfillmentfeature_flag.automate_purchasing_shipping_labelsnotification.new_channel_shipping_methodfeature_flag.get_orders_use_flxpoint_apinotification.new_channel_shipping_method.override_emailnotification.automate_shipping_label_failurenotification.automate_shipping_label_failure.override_emailfeature_flag.optimized_cross_dock_posource.ffl_info_for_crossdockingnotification.new_order_import.override_emailnotification.new_order_importnotification.purchase_order_cancelednotification.purchase_order_canceled.override_emailfeature_flag.accounting_use_flxpoint_apifeature_flag.order_item_shipping_addressfeature_flag.shipping_carrier_custom_label_fieldsfeature_flag.auto_create_products_and_listingsfeature_flag.get_source_products_use_flxpoint_api_batch_approachfeature_flag.commit_stock_upon_creationfeature_flag.fulfillable_item_alertsnotification.fulfillable_itemnotification.fulfillable_item.override_emailnotification.order_authorizednotification.order_authorized.override_emailnotification.new_dealer_signupnotification.source_invoice_cogs_mismatchsupplier.hide_auth_settings_and_auto_authorizedauto_authorizeauto_authorize_up_tosource.add_additional_order_feesfeature_flag.override_image_threshold_countaccount.onboarding_guidesfeature_flag.use_shopify_version_2024_07account.is_to_flx_migrationfeature_flag.amazon_use_json_listing_feed_typeaccount.onboarding_event_trackingfeature_flag.feed_based_monitoring_cache_strategyfeature_flag.source_currencyfeature_flag.shopify_use_embedded_inventory_and_collectionsrequiredbooleantypestringvalueTypestringhiddenbooleanplaceholderstringidintegeraccountIdintegervaluestringdefaultValuestringinsertedAtstring (date-time)updatedAtstring (date-time)descriptionstringoptionsstringparentSettingIdintegersettingCategoryobjectidintegerhandlestringallowed
supplier.settingsdealer.invoice.settingsaccount.settingsnotificationsaccount.b2bchannel.settingsfeature_flagsdealer.channel.settingssource.settingsvendor.settingsnamestringExample response
[
{
"settingId": 0,
"name": "string",
"handle": "source.send_po_from_vendor_portal",
"required": true,
"type": "string",
"valueType": "string",
"hidden": true,
"placeholder": "string",
"id": 0,
"accountId": 0,
"value": "string",
"defaultValue": "string",
"insertedAt": "2026-04-20T00:00:00Z",
"updatedAt": "2026-04-20T00:00:00Z",
"description": "string",
"options": "string",
"parentSettingId": 0,
"settingCategory": {
"id": 0,
"handle": "supplier.settings",
"name": "string"
}
}
]401Unauthorized
No schema documented for this status.
OpenAPI fragment
{
"get": {
"summary": "Get Account Settings",
"description": "This endpoint allows you to retrieve settings that are actively configured for a given account.",
"parameters": [
{
"schema": {
"type": "string"
},
"in": "query",
"name": "findByHandles",
"description": "A setting handle, or a comma-separated list of setting handles to retrieve"
},
{
"schema": {
"type": "string"
},
"in": "query",
"name": "findByCategoryHandle",
"description": "A single category handle to retrieve settings for"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/DeprecatedSetting"
}
}
}
}
},
"401": {
"description": "Unauthorized"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight